This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 201263 - Detect if / or /boot is on a USB device to include usb driver
Detect if / or /boot is on a USB device to include usb driver
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-03 16:41 EDT by Per Winkvist
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-16 16:55:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Per Winkvist 2006-08-03 16:41:13 EDT
I'm using mkinitrd-5.0.32-1 (FC-5 with all updates)
I have my FC installation on an external USB drive (which I boot from) and I 
had to add 
     withusb=yes
in mkinitrd file to allow it to include usb drivers in the initrd. Otherwise I 
get a panic during boot where it can't find root fs.

It would be nice if the usb-storage stuff could be included by default when 
the root or boot device is on usb???

Note You need to log in before you can comment on or make changes to this bug.